Skip to content
SolidRusT.ai

Knowledge graph entity query

POST
/data/v1/query/knowledge-graph

Queries the knowledge graph for entities and relationships connected to a specified entity. Supports configurable traversal depth, direction, and relationship type filtering.

Authorizations

Request Body required

object
entity
required

The entity name to query

string
Python
relationship_types

Filter to specific relationship types

Array<string>
direction
string
default: both
Allowed values: outgoing incoming both
depth

Graph traversal depth

integer
default: 2 >= 1 <= 5
limit
integer
default: 50

Responses

200

Successful response

object
entity
string
entities
Array<object>
object
id
string
name
string
entity_type
string
properties
object
key
additional properties
any
relationships
Array<object>
object
source
string
target
string
relationship_type
string
properties
object
key
additional properties
any
latency_ms
number

400

Invalid request

object
error
object
message
string
type
string
code
string
param
string

401

Invalid or missing API key

object
error
object
message
string
type
string
code
string
param
string